/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<private/qt3dquickanimationforeign_p.h>)
#  include <private/qt3dquickanimationforeign_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Qt3D_Animation()
{
    qmlRegisterModule("Qt3D.Animation", 2, 0);
    qmlRegisterModule("Qt3D.Animation", 2, 254);
    qmlRegisterModule("Qt3D.Animation", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<QAbstractAnimationClipForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAbstractAnimationClipForeign *>().id();
    qmlRegisterTypesAndRevisions<QAbstractAnimationForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAbstractAnimationForeign *>().id();
    qmlRegisterEnum<Qt3DAnimation::QAbstractAnimation::AnimationType>("Qt3DAnimation::QAbstractAnimation::AnimationType");
    qmlRegisterTypesAndRevisions<QAbstractChannelMappingForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAbstractChannelMappingForeign *>().id();
    qmlRegisterTypesAndRevisions<QAbstractClipAnimatorForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAbstractClipAnimatorForeign *>().id();
    qmlRegisterEnum<Qt3DAnimation::QAbstractClipAnimator::Loops>("Qt3DAnimation::QAbstractClipAnimator::Loops");
    qmlRegisterTypesAndRevisions<QAbstractClipBlendNodeForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAbstractClipBlendNodeForeign *>().id();
    qmlRegisterTypesAndRevisions<QAdditiveClipBlendForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAdditiveClipBlendForeign *>().id();
    qmlRegisterTypesAndRevisions<QAnimationClipForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAnimationClipForeign *>().id();
    qmlRegisterTypesAndRevisions<QAnimationClipLoaderForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAnimationClipLoaderForeign *>().id();
    qmlRegisterEnum<Qt3DAnimation::QAnimationClipLoader::Status>("Qt3DAnimation::QAnimationClipLoader::Status");
    qmlRegisterTypesAndRevisions<QAnimationControllerForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAnimationControllerForeign *>().id();
    qmlRegisterTypesAndRevisions<QAnimationGroupForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QAnimationGroupForeign *>().id();
    qmlRegisterTypesAndRevisions<QBlendedClipAnimatorForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QBlendedClipAnimatorForeign *>().id();
    qmlRegisterTypesAndRevisions<QChannelMapperForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QChannelMapperForeign *>().id();
    qmlRegisterTypesAndRevisions<QChannelMappingForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QChannelMappingForeign *>().id();
    qmlRegisterTypesAndRevisions<QClipAnimatorForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QClipAnimatorForeign *>().id();
    qmlRegisterTypesAndRevisions<QClipBlendValueForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QClipBlendValueForeign *>().id();
    qmlRegisterTypesAndRevisions<QClockForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QClockForeign *>().id();
    qmlRegisterTypesAndRevisions<QKeyframeAnimationForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QKeyframeAnimationForeign *>().id();
    qmlRegisterEnum<Qt3DAnimation::QKeyframeAnimation::RepeatMode>("Qt3DAnimation::QKeyframeAnimation::RepeatMode");
    qmlRegisterTypesAndRevisions<QLerpClipBlendForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QLerpClipBlendForeign *>().id();
    qmlRegisterTypesAndRevisions<QMorphTargetForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QMorphTargetForeign *>().id();
    qmlRegisterTypesAndRevisions<QMorphingAnimationForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QMorphingAnimationForeign *>().id();
    qmlRegisterEnum<Qt3DAnimation::QMorphingAnimation::Method>("Qt3DAnimation::QMorphingAnimation::Method");
    qmlRegisterTypesAndRevisions<QSkeletonMappingForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QSkeletonMappingForeign *>().id();
    qmlRegisterTypesAndRevisions<QVertexBlendAnimationForeign>("Qt3D.Animation", 6);
    QMetaType::fromType<QVertexBlendAnimationForeign *>().id();
    QMetaType::fromType<Qt3DAnimation::Animation::Quick::Quick3DChannelMapper *>().id();
    QMetaType::fromType<Qt3DAnimation::Quick::QQuick3DAnimationController *>().id();
    QMetaType::fromType<Qt3DAnimation::Quick::QQuick3DAnimationGroup *>().id();
    QMetaType::fromType<Qt3DAnimation::Quick::QQuick3DKeyframeAnimation *>().id();
    QMetaType::fromType<Qt3DAnimation::Quick::QQuick3DMorphTarget *>().id();
    QMetaType::fromType<Qt3DAnimation::Quick::QQuick3DMorphingAnimation *>().id();
    QMetaType::fromType<Qt3DAnimation::Quick::QQuick3DVertexBlendAnimation *>().id();
    QT_WARNING_POP
    qmlRegisterModule("Qt3D.Animation", 6, 12);
}

static const QQmlModuleRegistration qt3DAnimationRegistration("Qt3D.Animation", qml_register_types_Qt3D_Animation);
